# This configuration file is dedicated for MakeProjectCreator
# but will also be used as source for platform_macros.GNU.
# The platform_macros.GNU file will be generated by replacing
# MPC comments (//) by Makefile comments (#). The variable
# definitions are the same.
#
# To get a overview about all possible settings read the files:
# ACE_wrappers/ACE-INSTALL, ACE_wrappers/bin/MakeProjectCreator/config/global.features,
# ACE_wrappers/bin/MakeProjectCreator/config/default.features
#
#                          Raphael Bossek <bossekr@debian.org>

# Enable ACE_Timeprobe support
probe=1

# Enable native C++ exception support
exceptions=1

# Enable thread support
threads=1

# Enable OpenSSL support
ssl=1

# Enable security
security=1

# Enable RT CORBA
rtcorba=1

# Enable CORBA messaging
corba_messaging=1


# Enable Fl, ACE_FlReactor and TAO_FlResource
# OpenGL (required by FlReactor)
gl=1
fl=1
ace_flreactor=1
tao_flresource=1

# Enable QT, ACE_QtReactor and TAO_QtResource
qt=1
ace_qtreactor=1
tao_qtresource=1

# Enable ACE_TkReactor and TAO_TkResource
tk=1
ace_tkreactor=1
tao_tkresource=1

# Enable X11, XT, ACE_XtReactor and TAO_XtResource
x11=1
xt=1
ace_xtreactor=1
tao_xtresource=1

# Build RPC applications
rpc=1

# Build ACE based rwho(1) replacement
rwho=1

# Build The Simple Caching HTTP Client (ACE_wrappers/apps/JAWS)
ace_filecache=1


#
#  DISABLED ACE/TAO/CIAO FEATURES BEGIN HERE
#

# Disable Stream Control Transmission Protocol (RFC2960)
sctp=0

# Disable Component Implentation Definition Language Compiler (CIDLC)
cidl=0

# Disable GNU template repository (g++ with repo patches and egcs only)
repo=0

# Disable minimumTAO (ACE_wrappers/docs/minimumTAO.html)
minimum_corba=0

# Disable JACE
java=0

# Disable ACEXML gzip/zip compressors
zlib=0
zzip=0

# Disabled because unsupported

# Disable Remote Application Programming Interface (RAPI) for WindowsCE
rapi=0

# Disable QoS support. Only works if rapi is enabled.
qos=0

# Disable wxWindows applications
wxWindows=0

# Microsoft Foundation Class (MFC)
mfc=0

# Projects or applications that can't be build with MakeProjectCreator
dummy_label=0

# Added by debian/rules based on $(DEB_BUILD_OPTIONS)
debug=0
optimize=1

LINK.cc=override
LINK.cc.override=$(PURELINK) $(PRELINK) $(CXX) $(CCFLAGS) $(CPPFLAGS) $(PTDIRS)

include $(ACE_ROOT)/include/makeinclude/platform_linux.GNU
